## org.jfree.chart.plot.dial
Interface DialFrame

All Superinterfaces:
  DialLayer

All Known Implementing Classes:
  ArcDialFrame, StandardDialFrame

    public interface DialFrame

extends DialLayer

A dial frame is the face plate for a dial plot - it is always drawn last. JFreeChart includes a couple of implementations of this interface (`StandardDialFrame` and `ArcDialFrame`).
Classes that implement this interface should be `Serializable`, otherwise chart serialization may fail.

Since:
  1.0.7

Method Summary
`java.awt.Shape` `getWindow(java.awt.geom.Rectangle2D frame)` Returns the shape of the viewing window for the dial, or `null` if the dial is completely open.

Methods inherited from interface org.jfree.chart.plot.dial.DialLayer
`addChangeListener, draw, hasListener, isClippedToWindow, isVisible, removeChangeListener`

Method Detail

### getWindow

    java.awt.Shape getWindow(java.awt.geom.Rectangle2D frame)

  Returns the shape of the viewing window for the dial, or `null` if the dial is completely open. Other layers in the plot will rely on their drawing to be clipped within this window.

  Parameters:
    `frame` - the reference frame for the dial.
  Returns:
    The window.